Index: /branches/version-2_13_0/data/class/SC_PageNavi.php
===================================================================
--- /branches/version-2_13_0/data/class/SC_PageNavi.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/SC_PageNavi.php	(revision 23103)
@@ -28,10 +28,15 @@
         $objPage->tpl_pageno = $_POST['pageno'];
     ・$func_nameに指定するJavaScriptの例
-        // ページナビで使用する
-        function fnNaviPage(pageno)
-        {
-            document.form1['pageno'].value = pageno;
-            document.form1.submit();
-        }
+        // ページナビで使用する。
+        eccube.movePage = function(pageno, mode, form) {
+            if (typeof form !== 'undefined') {
+                form = 'form1';
+            }
+            document.forms[form]['pageno'].value = pageno;
+            if (typeof mode !== 'undefined') {
+                document.forms[form]['mode'].value = 'search';
+            }
+            document.forms[form].submit();
+        };
 */
 class SC_PageNavi
Index: /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_List.php	(revision 23103)
@@ -144,5 +144,5 @@
             $urlParam .= "&mode={$this->mode}&name={$searchNameUrl}&orderby={$this->orderby}";
         }
-        $this->objNavi      = new SC_PageNavi_Ex($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, 'fnNaviPage', NAVI_PMAX, $urlParam, SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
+        $this->objNavi      = new SC_PageNavi_Ex($this->tpl_pageno, $this->tpl_linemax, $this->disp_number, 'eccube.movePage', NAVI_PMAX, $urlParam, SC_Display_Ex::detectDevice() !== DEVICE_TYPE_MOBILE);
         $this->arrProducts  = $this->lfGetProductsList($arrSearchCondition, $this->disp_number, $this->objNavi->start_row, $objProduct);
 
@@ -539,5 +539,5 @@
         $this->productStatus = $this->arrProducts['productStatus'];
         unset($this->arrProducts['productStatus']);
-        $this->tpl_javascript .= 'var productsClassCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories) . ';';
+        $this->tpl_javascript .= 'eccube.productsClassCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories) . ';';
         if (SC_Display_Ex::detectDevice() === DEVICE_TYPE_PC) {
             //onloadスクリプトを設定. 在庫ありの商品のみ出力する
Index: /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/products/LC_Page_Products_Detail.php	(revision 23103)
@@ -148,5 +148,5 @@
         }
 
-        $this->tpl_javascript .= 'classCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories[$product_id]) . ';';
+        $this->tpl_javascript .= 'eccube.classCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories[$product_id]) . ';';
         $this->tpl_javascript .= 'function lnOnLoad()
         {' . $this->js_lnOnload . '}';
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage.php	(revision 23103)
@@ -86,5 +86,5 @@
                                             $this->lfGetOrderHistory($customer_id),
                                             SEARCH_PMAX,
-                                            'fnNaviPage',
+                                            'eccube.movePage',
                                             NAVI_PMAX,
                                             'pageno=#page#',
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_DeliveryAddr.php	(revision 23103)
@@ -90,5 +90,5 @@
          */
         if (!$objCustomer->isLoginSuccess(true) && $ParentPage != MULTIPLE_URLPATH) {
-            $this->tpl_onload = "fnUpdateParent('". $this->getLocation($_POST['ParentPage']) ."'); window.close();";
+            $this->tpl_onload = "eccube.changeParentUrl('". $this->getLocation($_POST['ParentPage']) ."'); window.close();";
         }
 
@@ -109,5 +109,5 @@
                     // TODO ここでやるべきではない
                     if (in_array($_POST['ParentPage'], $this->validUrl)) {
-                        $this->tpl_onload = "fnUpdateParent('". $this->getLocation($_POST['ParentPage']) ."'); window.close();";
+                        $this->tpl_onload = "eccube.changeParentUrl('". $this->getLocation($_POST['ParentPage']) ."'); window.close();";
                     } else {
                         SC_Utils_Ex::sfDispSiteError(CUSTOMER_ERROR);
Index: /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Favorite.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/mypage/LC_Page_Mypage_Favorite.php	(revision 23103)
@@ -128,5 +128,5 @@
 
         // ページ送りの取得
-        $objNavi        = new SC_PageNavi_Ex($objPage->tpl_pageno, $linemax, SEARCH_PMAX, 'fnNaviPage', NAVI_PMAX);
+        $objNavi        = new SC_PageNavi_Ex($objPage->tpl_pageno, $linemax, SEARCH_PMAX, 'eccube.movePage', NAVI_PMAX);
         $this->tpl_strnavi = $objNavi->strnavi; // 表示文字列
         $startno        = $objNavi->start_row;
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping_Payment.php	(revision 23103)
@@ -47,5 +47,5 @@
     {
         parent::init();
-        $this->tpl_onload = 'fnCheckInputPoint();';
+        $this->tpl_onload = 'eccube.togglePointForm();';
         $this->tpl_title = 'お支払方法・お届け時間等の指定';
         $masterData = new SC_DB_MasterData_Ex();
Index: /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/shopping/LC_Page_Shopping.php	(revision 23103)
@@ -47,5 +47,5 @@
         $this->arrSex = $masterData->getMasterData('mtb_sex');
         $this->arrJob = $masterData->getMasterData('mtb_job');
-        $this->tpl_onload = 'fnCheckInputDeliv();';
+        $this->tpl_onload = 'eccube.toggleDeliveryForm();';
 
         $objDate = new SC_Date_Ex(BIRTH_YEAR, date('Y',strtotime('now')));
Index: /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/admin/order/LC_Page_Admin_Order_ProductSelect.php	(revision 23103)
@@ -161,5 +161,5 @@
     function getTplJavascript(&$objProduct)
     {
-        return 'productsClassCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories) . '; ';
+        return 'eccube.productsClassCategories = ' . SC_Utils_Ex::jsonEncode($objProduct->classCategories) . '; ';
     }
 
Index: /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_ProductRank.php	(revision 23103)
@@ -121,5 +121,5 @@
         $this->tpl_linemax = $linemax;
 
-        $objNavi = new SC_PageNavi_Ex($this->tpl_pageno, $linemax, SEARCH_PMAX, 'fnNaviPage', NAVI_PMAX);
+        $objNavi = new SC_PageNavi_Ex($this->tpl_pageno, $linemax, SEARCH_PMAX, 'eccube.movePage', NAVI_PMAX);
         $startno = $objNavi->start_row;
         $this->tpl_start_row = $objNavi->start_row;
Index: /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/admin/products/LC_Page_Admin_Products_Category.php	(revision 23103)
@@ -46,5 +46,5 @@
         $this->tpl_mainno = 'products';
         $this->tpl_subno  = 'category';
-        $this->tpl_onload = " fnSetFocus('category_name'); ";
+        $this->tpl_onload = " eccube.setFocus('category_name'); ";
     }
 
Index: /branches/version-2_13_0/data/class/pages/admin/system/LC_Page_Admin_System_Input.php
===================================================================
--- /branches/version-2_13_0/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 23071)
+++ /branches/version-2_13_0/data/class/pages/admin/system/LC_Page_Admin_System_Input.php	(revision 23103)
@@ -92,5 +92,5 @@
                     // 親ウィンドウを更新後、自ウィンドウを閉じる。
                     $url = ADMIN_SYSTEM_URLPATH . '?pageno=' . $this->arrForm['pageno'];
-                    $this->tpl_onload = "fnUpdateParent('".$url."'); window.close();";
+                    $this->tpl_onload = "eccube.changeParentUrl('".$url."'); window.close();";
                 } else {
                     // 入力された値を保持する
@@ -119,5 +119,5 @@
                     // 親ウィンドウを更新後、自ウィンドウを閉じる。
                     $url = ADMIN_SYSTEM_URLPATH . '?pageno=' . $this->arrForm['pageno'];
-                    $this->tpl_onload = "fnUpdateParent('".$url."'); window.close();";
+                    $this->tpl_onload = "eccube.changeParentUrl('".$url."'); window.close();";
                 } else {
                     // 入力された値を保持する
